{% import 'macros/form.html' as form %}
{% extends 'page.html' %}

{% block toolbar %}
{{ super() }}
{% endblock %}

{% block flash %}
{{ super() }}
{% endblock %}

{% set controller = 'ckanext.eds.controllers.eds_guides_controller:EdsGuidesController' %}
{% set cancel_url = h.url_for('eds_simple_guides') %}
{% set action_url = h.url_for('eds_simple_guides_edit') %}
{% set current_lang = request.environ.CKAN_LANG %}

{% block breadcrumb_content %}
<li>{{ h.nav_link(_('Simple Guides'), controller=controller, action='simple_guides') }}</li>
<li class="active">{{ h.nav_link(_('Edit'), controller=controller, action='simple_guides_edit') }}</li>
{% endblock %}

{% block primary_content %}
<div class="module">
    <div class="module-content">

        <form id="api_guides_update_form" method="post" action="{{ action_url }}">


            {% set simple_guides_content_name =  ['simple_guides_content_', current_lang]|join('') %}

            {{ form.markdown(simple_guides_content_name, id=simple_guides_content_name, label=_('Simple guides page content'), value=data[simple_guides_content_name], error=errors[simple_guides_content_name]) }}

            <div class="form-actions">
                <a class="btn pull-left btn-danger" href="{{ cancel_url }}">{{ _('Cancel') }}</a>
                <button class="btn btn-primary" name="save" type="submit">{{_('Save')}}</button>
            </div>
        </form>

    </div>
</div>
{% endblock %}
